Skip to content

API Overview

Use the OnchainProbe API to manage chains, endpoints, suites, runs, and catalog data.

https://api.onchainprobe.com/v1

All paths in this reference are relative to that base URL.

Send bearer token in Authorization header.

Terminal window
curl "https://api.onchainprobe.com/v1/users/me" \
-H "Authorization: Bearer $ONCHAINPROBE_API_KEY"
  • Request body: application/json
  • Response body: application/json

List endpoints use limit and offset query params.

Example:

Terminal window
curl "https://api.onchainprobe.com/v1/chains?limit=20&offset=0" \
-H "Authorization: Bearer $ONCHAINPROBE_API_KEY"

Typical response shape:

{
"data": [],
"pagination": {
"total": 0,
"limit": 20,
"offset": 0,
"has_more": false
}
}

Errors return HTTP non-2xx and JSON payload.

{
"error": {
"code": "validation_error",
"message": "chain_chain_id is required",
"details": [{"field": "chain_chain_id", "message": "Required"}],
"request_id": "req_abc123"
}
}

Common status codes:

  • 400 validation error
  • 401 missing/invalid auth
  • 403 insufficient scope or tenant access
  • 404 resource not found
  • 409 conflict
  • 429 rate limited
  • 500 server error

Requests are rate-limited per identity.

When rate limited, expect 429 with retry guidance headers when available.

  • Timestamps are ISO-8601 UTC strings
  • Resource IDs are UUIDs